1

I'm getting exception 'Drupal\Core\Config\UnmetDependenciesException' with messageConfiguration objects (....) provided by cn_migrator have unmet dependenciesin .../core/lib/Drupal/Core/Config/UnmetDependenciesException.php:84 when trying to enable a custom migration module. I've checked the dependencies listed in the YAML files and can't see anything missing. I really need to push ahead, but can't find a way to force enabling this module.

1
  • Have you tried enabling each of the modules listed as dependencies separately; and then enabling the module in question?
    – bleen
    Commented Sep 15, 2016 at 13:57

1 Answer 1

3

No, you can't.

But, https://www.drupal.org/node/2655104 was committed today, and it allows you to see what exactly is missing. Try patching your site with that to see the problem.

3
  • Thanks - I've been watching that thread but unfortunately I'm running 8.1.8. I can try the patch anyway...
    – Nic
    Commented Sep 15, 2016 at 20:15
  • Th issue has been going on for a while. If the latest patch doesn't apply, try an older version.
    – Berdir
    Commented Sep 15, 2016 at 20:15
  • Thanks - the patch failed on the Test files but the actual code changes applied fine to the 8.1.8 core/lib
    – Nic
    Commented Sep 16, 2016 at 13:37

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.